Page 1 of 2 12 LastLast
Results 1 to 10 of 18

Thread: Error when running the update utility...

  1. #1

    Default Error when running the update utility...

    Hello. I have tried to run Online Update routine, and I receive the same error: cat: write error: Broken pipe.

    I seem to have lost (or maybe accidentally deleted) the calculator program. So, I thought that if I ram the update it would find the missing portion, and offer me the chance to reinstall it.

    But, I received the "cat: write error: Broken pipe" message.

    Does anyone have a suggestion for either of these troubles?

    Many thanks.

    David

  2. #2
    Join Date
    Sep 2008
    Location
    Toronto,Canada
    Posts
    549

    Default Re: Error when running the update utility...

    maybe /var/log/messages will give you more details about the error?

  3. #3

    Default Re: Error when running the update utility...

    I am finding it hard to believe that I have forgotten how to enter the Terminal mode. But, that must be the case. I entered the line, and received the following message:

    /var/log/messages
    bash: /var/log/messages: Permission denied

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,857
    Blog Entries
    20

    Default Re: Error when running the update utility...

    kdesu kwrite /var/log/messages

    or gnomesu gedit
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5

    Default Re: Error when running the update utility...

    I gave that a try...

    kdesu kwrite /var/log/messages

    The program 'kdesu' can be found in following packages:
    * kdebase3-runtime [ path: /opt/kde3/bin/kdesu, repository: zypp (openSUSE 11.1-0) ]
    * kdebase4-runtime [ path: /usr/bin/kdesu, repository: zypp (openSUSE 11.1-0) ]
    * kdebase4-runtime [ path: /usr/bin/kdesu, repository: zypp (repo-update) ]
    * kdebase3-runtime [ path: /opt/kde3/bin/kdesu, repository: zypp (repo-oss) ]
    * kdebase4-runtime [ path: /usr/bin/kdesu, repository: zypp (repo-oss) ]

    Try installing with: sudo zypper install kdebase3-runtime

    bash: kdesu: command not found

    p.s. I am using OpenSuse 11.1 with the GNOME format.
    Last edited by David2009; 12-Aug-2009 at 10:48. Reason: I should have let people know I was using GNOME.

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,857
    Blog Entries
    20

    Default Re: Error when running the update utility...

    so use the

    gnomesu gedit /var/log/messages
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7

    Default Re: Error when running the update utility...

    Wow! It would be more than 2MB of text. I have a 15K character long limit. Is there anything specific you'd like me to post?

    Thank you.

  8. #8
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,925
    Blog Entries
    14

    Default Re: Error when running the update utility...

    Don't do that. Your repos are not OK. Please open a terminal window (in text area above start menu type: konsole) and do:
    zypper lr
    and copy and past output here.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  9. #9

    Default Re: Error when running the update utility...

    zypper lr
    # | Alias | Name | Enabled | Refresh
    --+----------------------+-----------------------+---------+--------
    1 | Libdvdcss repository | Libdvdcss repository | Yes | Yes
    2 | Packman Repository | Packman Repository | Yes | Yes
    3 | openSUSE 11.1-0 | openSUSE 11.1-0 | Yes | No
    4 | repo-debug | openSUSE-11.1-Debug | No | Yes
    5 | repo-non-oss | openSUSE-11.1-Non-Oss | Yes | Yes
    6 | repo-oss | openSUSE-11.1-Oss | Yes | Yes
    7 | repo-source | openSUSE-11.1-Source | No | Yes
    8 | repo-update | openSUSE-11.1-Update | Yes | Yes

  10. #10
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,857
    Blog Entries
    20

    Default Re: Error when running the update utility...

    Actually @David2009
    I would find it more informative if you did:

    Code:
    zypper lr -d
    According to your post so far I would make the following changes

    1 | Libdvdcss repository | Libdvdcss repository | No | No
    2 | Packman Repository | Packman Repository | Yes | Yes
    3 | openSUSE 11.1-0 | openSUSE 11.1-0 | No | No
    4 | repo-debug | openSUSE-11.1-Debug | No | No
    5 | repo-non-oss | openSUSE-11.1-Non-Oss | Yes | Yes
    6 | repo-oss | openSUSE-11.1-Oss | Yes | Yes
    7 | repo-source | openSUSE-11.1-Source | No | No
    8 | repo-update | openSUSE-11.1-Update | Yes | Yes

    However - I would like to see the priority table and the url's. Which I will be able to do if you use the code I gave above.
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •